#include <Wire.h>
#include <LiquidCrystal.h>
#include <LiquidCrystal_I2C.h>
LiquidCrystal_I2C lcd(0x27,16,2);

const int buttonPin = 3;
const int timerPin = 2;
const int rLED1 = 7;
const int rLED2 = 8;
const int rLED3 = 10;
const int yLED1 = 11;
const int yLED2 = 12;
const int gLED = 13;

int pts = 0;
int i = 0;

void setup() {

  Serial.begin(9600);
  
  pinMode(buttonPin, INPUT);
  pinMode(timerPin, OUTPUT);

  pinMode(rLED1, INPUT);
  pinMode(rLED2, INPUT);
  pinMode(rLED3, INPUT);
  pinMode(yLED1, INPUT);
  pinMode(yLED2, INPUT);
  pinMode(gLED, INPUT);

  lcd.init(); //initialize the lcd
  lcd.backlight(); //open the backlight 
  lcd.clear();
}

void loop() {

  Serial.println(i);
  
  if (digitalRead(buttonPin) == HIGH) {
    digitalWrite(timerPin, HIGH);
    i=0;
    lcd.clear();
  }
  else {
    digitalWrite(timerPin, LOW);

    if (i==2000)
    {
      i=1;
    }

    if ((i<1&&(digitalRead(rLED1)||digitalRead(rLED2)||digitalRead(rLED3)))== HIGH) 
    {
      pts=pts-20;

      lcd.setCursor(0, 0);
      lcd.print("RED: -20 PTS");
      lcd.setCursor(0, 1);
      lcd.print("SCORE: ");
      lcd.setCursor(7, 1);
      lcd.print(pts);

      Serial.println(" ");
      Serial.println("RED: -20 POINTS");
      Serial.print("TOTAL SCORE: ");
      Serial.println(pts);
    }
    if ((i<1&&(digitalRead(yLED1)||digitalRead(yLED2)))== HIGH) 
    {
      pts=pts+10;

      lcd.setCursor(0, 0);
      lcd.print("YELLOW: +10 PTS");
      lcd.setCursor(0, 1);
      lcd.print("SCORE: ");
      lcd.setCursor(7, 1);
      lcd.print(pts);

      Serial.println(" "); 
      Serial.println("YELLOW: +10 POINTS");
      Serial.print("TOTAL SCORE: ");
      Serial.println(pts);
    }
    if ((i<1&&digitalRead(gLED))== HIGH) 
    {
      pts=pts+40;

      lcd.setCursor(0, 0);
      lcd.print("GREEN: +40 PTS");
      lcd.setCursor(0, 1);
      lcd.print("SCORE: ");
      lcd.setCursor(7, 1);
      lcd.print(pts);

      Serial.println(" ");
      Serial.println("GREEN: +40 POINTS");
      Serial.print("TOTAL SCORE: ");
      Serial.println(pts);
    }
    i++;
  }
}
